package com.iamberry.wechat.core.entity.integral;

import java.io.Serializable;
import java.util.Date;

/**
 * 会员信息实体类
 * Created by liuzhiwei on 2018/1/3.
 */
public class MemberIntegral implements Serializable {

    private static final long serialVersionUID = 4914207622781798353L;

    private Integer memberId;               //会员ID
    private Integer rankRuleId;             //等级ID
    private String userOpenid;              //用户openId
    private Integer memberStatus;           //状态
    private Integer memberAllIntegral;      //总积分
    private Integer memberSurplusIntegral;  //剩余积分
    private Integer memberUsedIntegral;     //已用积分
    private Date memberCreateTime;          //创建时间
    private Date memberUpdateTime;          //更新时间

    private String rankRuleName;            //会员等级名称
    private String rankIco;                 //图标

    public String getRankIco() {
        return rankIco;
    }

    public void setRankIco(String rankIco) {
        this.rankIco = rankIco;
    }

    public String getRankRuleName() {
        return rankRuleName;
    }

    public void setRankRuleName(String rankRuleName) {
        this.rankRuleName = rankRuleName;
    }

    public Integer getMemberId() {
        return memberId;
    }

    public void setMemberId(Integer memberId) {
        this.memberId = memberId;
    }

    public Integer getRankRuleId() {
        return rankRuleId;
    }

    public void setRankRuleId(Integer rankRuleId) {
        this.rankRuleId = rankRuleId;
    }

    public String getUserOpenid() {
        return userOpenid;
    }

    public void setUserOpenid(String userOpenid) {
        this.userOpenid = userOpenid;
    }

    public Integer getMemberStatus() {
        return memberStatus;
    }

    public void setMemberStatus(Integer memberStatus) {
        this.memberStatus = memberStatus;
    }

    public Integer getMemberAllIntegral() {
        return memberAllIntegral;
    }

    public void setMemberAllIntegral(Integer memberAllIntegral) {
        this.memberAllIntegral = memberAllIntegral;
    }

    public Integer getMemberSurplusIntegral() {
        return memberSurplusIntegral;
    }

    public void setMemberSurplusIntegral(Integer memberSurplusIntegral) {
        this.memberSurplusIntegral = memberSurplusIntegral;
    }

    public Integer getMemberUsedIntegral() {
        return memberUsedIntegral;
    }

    public void setMemberUsedIntegral(Integer memberUsedIntegral) {
        this.memberUsedIntegral = memberUsedIntegral;
    }

    public Date getMemberCreateTime() {
        return memberCreateTime;
    }

    public void setMemberCreateTime(Date memberCreateTime) {
        this.memberCreateTime = memberCreateTime;
    }

    public Date getMemberUpdateTime() {
        return memberUpdateTime;
    }

    public void setMemberUpdateTime(Date memberUpdateTime) {
        this.memberUpdateTime = memberUpdateTime;
    }
}
